View Issue Details

IDProjectCategoryView StatusLast Update
0022593mantisbtplug-inspublic2017-04-01 00:13
ReporteratrolAssigned Tovboctor 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version2.3.0Fixed in Version2.3.0 
Summary0022593: Broken Snippet plugin
Description

Snippet plugin is no longer available

Had no deeper look, might be caused by https://github.com/mantisbt/mantisbt/pull/1037
where xmlhttprequest.php has been removed

Found also in server log
script '/srv/www/bugs/xmlhttprequest.php' not found or unable to stat, referer: https://www.mantisbt.org/bugs/bug_report_page.php

TagsNo tags attached.

Activities

vboctor

vboctor

2017-03-29 01:18

manager   ~0056244

PR: https://github.com/mantisbt/mantisbt/pull/1074

vboctor

vboctor

2017-03-29 01:30

manager   ~0056245

I've also opened a bug against Snippets plugin to create its own REST API using the new model:
https://github.com/mantisbt-plugins/snippets/issues/16

Related Changesets

MantisBT: master 1f1a2be0

2017-03-29 01:17:07

vboctor

Details Diff
Leave xmlhttprequest.php for backward compatibility

Re-adding xmlhttprequest.php for plugins. However, plugins should
be updated to use the new REST API approach.

Fixes 0022593
add - xmlhttprequest.php Diff File

MantisBT: master cc40d19b

2017-03-29 11:02:08

vboctor

Details Diff
Add DEPRECATED log msg when xmlhttprequest is used

Fixes 0022593
mod - core/constant_inc.php Diff File
mod - xmlhttprequest.php Diff File

Issue History

Date Modified Username Field Change
2017-03-28 17:58 atrol New Issue
2017-03-29 01:18 vboctor Status new => assigned
2017-03-29 01:18 vboctor Note Added: 0056244
2017-03-29 01:19 vboctor Assigned To => vboctor
2017-03-29 01:30 vboctor Note Added: 0056245
2017-03-29 11:08 vboctor Changeset attached => MantisBT master 1f1a2be0
2017-03-29 11:08 vboctor Changeset attached => MantisBT master cc40d19b
2017-03-29 11:08 vboctor Status assigned => resolved
2017-03-29 11:08 vboctor Resolution open => fixed
2017-03-29 11:08 vboctor Fixed in Version => 2.2.3
2017-03-29 11:13 vboctor Fixed in Version 2.2.3 => 2.3.0
2017-04-01 00:13 vboctoradmin Status resolved => closed